LoadBalanceAlgorithmEnum (CMDB Model API)
Keywords: com.collation.platform.model.topology.enums.LoadBalanceAlgorithmEnum interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.enums
Interface LoadBalanceAlgorithmEnum

All Superinterfaces:
  Enumeration

    public interface LoadBalanceAlgorithmEnum

extends Enumeration

Field Summary
`static int` | `BANDWIDTH`
`static int` | `DYNAMIC_RATIO`
`static int` | `FASTEST_APP_RESPONSE`
`static int` | `FASTEST_NODE_ADDRESS`
`static int` | `HASH`
`static int` | `LEAST_CONN_ADDRESS`
`static int` | `LEAST_CONN_MEMBER`
`static int` | `LEAST_CONNECTIONS`
`static int` | `MIN_MISSES`
`static int` | `NOT_APPLICABLE`
`static int` | `OBSERVED_MEMBER`
`static int` | `OBSERVER_NODE_ADDRESS`
`static int` | `PREDICTIVE_MEMBER`
`static int` | `PREDICTIVE_NODE_ADDRESS`
`static int` | `RATIO_NODE_ADDRESS`
`static int` | `RATION_MEMBER`
`static int` | `RESPONSE`
`static int` | `ROUND_ROBIN`
`static int` | `ROUND_ROBIN_2`

Field Detail

### NOT_APPLICABLE

    static final int NOT_APPLICABLE

See Also:
  Constant Field Values

### ROUND_ROBIN

    static final int ROUND_ROBIN

See Also:
  Constant Field Values

### LEAST_CONNECTIONS

    static final int LEAST_CONNECTIONS

See Also:
  Constant Field Values

### MIN_MISSES

    static final int MIN_MISSES

See Also:
  Constant Field Values

### HASH

    static final int HASH

See Also:
  Constant Field Values

### RESPONSE

    static final int RESPONSE

See Also:
  Constant Field Values

### BANDWIDTH

    static final int BANDWIDTH

See Also:
  Constant Field Values

### ROUND_ROBIN_2

    static final int ROUND_ROBIN_2

See Also:
  Constant Field Values

### RATION_MEMBER

    static final int RATION_MEMBER

See Also:
  Constant Field Values

### LEAST_CONN_MEMBER

    static final int LEAST_CONN_MEMBER

See Also:
  Constant Field Values

### OBSERVED_MEMBER

    static final int OBSERVED_MEMBER

See Also:
  Constant Field Values

### PREDICTIVE_MEMBER

    static final int PREDICTIVE_MEMBER

See Also:
  Constant Field Values

### RATIO_NODE_ADDRESS

    static final int RATIO_NODE_ADDRESS

See Also:
  Constant Field Values

### LEAST_CONN_ADDRESS

    static final int LEAST_CONN_ADDRESS

See Also:
  Constant Field Values

### FASTEST_NODE_ADDRESS

    static final int FASTEST_NODE_ADDRESS

See Also:
  Constant Field Values

### OBSERVER_NODE_ADDRESS

    static final int OBSERVER_NODE_ADDRESS

See Also:
  Constant Field Values

### PREDICTIVE_NODE_ADDRESS

    static final int PREDICTIVE_NODE_ADDRESS

See Also:
  Constant Field Values

### DYNAMIC_RATIO

    static final int DYNAMIC_RATIO

See Also:
  Constant Field Values

### FASTEST_APP_RESPONSE

    static final int FASTEST_APP_RESPONSE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD